Obtener una preautorización

Con este servicio una aseguradora puede obtener la información de una autorización en formato JSON y PDF.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Obteniendo el PDF de una autorización

Para obtener el PDF, únicamente hay que agregar el header accept con el valor application/pdf. Al hacer esto, el endpoint te devolverá un binario que corresponde al PDF. Ejemplo:

curl --location --request GET 'https://sandbox.osigu.com/arc/v1/authorizations/743' \
--header 'Accept: application/pdf' \
--header 'Authorization: Bearer a483e5ee-ea01-4f33-b9a9-bce714d3930e'

El endpoint responderá con los siguientes headers:

NombreValor
Content-Typeapplication/pdf
Content-Dispositionattachment; filename="<nombre del archivo>.pdf"
Access-Control-Expose-HeadersContent-Disposition

Y en el cuerpo de la respuesta obtendrás el binario como tal del archivo. El siguiente es un ejemplo de un extracto de un PDF.

%PDF-1.5
%����
5 0 obj
<</ColorSpace/DeviceGray/Subtype/Image/Height 72/Filter/FlateDecode/Type/XObject/Width 72/Length 310/BitsPerComponent 8>>stream
x��ё� E)�(��� T��
6� t�� t�@@���,������}o`��X��df��Ѫ�S�d�;�7�{*>��H9n��,��E\-�G�K�,�]:S�%0`4E]�ƹ����<��e�ƟI�r"c���q3�o�g	D�I�'��V92��C�rN*�Gi��l0�Ƒnz��h4��j@�ƣQ�Q�ﺞc<�i��W����#NP�`�@_K�'�����BH�*7Lϝ^?(�ھ�R�_��
c]Վ&�R�)�+2M�lvJgZ#Tyo��`��:��^�,��&pe��d.���@�
endstream
endobj
...
Path Params
int64
required

Este es un ID numérico generado por Osigu.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain